Author: doko
Date: 2012-02-26 14:35:43 +0000 (Sun, 26 Feb 2012)
New Revision: 15803
Added:
trunk/java-common/debian/java-common.postinst
trunk/java-common/debian/java-common.postrm
Modified:
trunk/java-common/debian/changelog
trunk/java-common/debian/control
Log:
java-common (0.47) unstable; urgency=low
* Add creation and removal of /etc/.java (common to different OpenJDK
versions) in java-common maintainer scripts. Closes: #660604.
* Remove Michael from the uploaders list. Closes: #654029.
-- Matthias Klose <[email protected]> Sun, 26 Feb 2012 15:19:30 +0100
Modified: trunk/java-common/debian/changelog
===================================================================
--- trunk/java-common/debian/changelog 2012-02-26 11:51:53 UTC (rev 15802)
+++ trunk/java-common/debian/changelog 2012-02-26 14:35:43 UTC (rev 15803)
@@ -1,3 +1,11 @@
+java-common (0.47) unstable; urgency=low
+
+ * Add creation and removal of /etc/.java (common to different OpenJDK
+ versions) in java-common maintainer scripts. Closes: #660604.
+ * Remove Michael from the uploaders list. Closes: #654029.
+
+ -- Matthias Klose <[email protected]> Sun, 26 Feb 2012 15:19:30 +0100
+
java-common (0.46) unstable; urgency=low
* java-common: Mark it as Multi-Arch: foreign.
Modified: trunk/java-common/debian/control
===================================================================
--- trunk/java-common/debian/control 2012-02-26 11:51:53 UTC (rev 15802)
+++ trunk/java-common/debian/control 2012-02-26 14:35:43 UTC (rev 15803)
@@ -2,11 +2,11 @@
Section: java
Priority: optional
Maintainer: Debian Java Mailing List <[email protected]>
-Uploaders: Michael Koch <[email protected]>, Matthias Klose <[email protected]>,
Torsten Werner <[email protected]>,
+Uploaders: Matthias Klose <[email protected]>, Torsten Werner
<[email protected]>,
Niels Thykier <[email protected]>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, lynx
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-common/
Added: trunk/java-common/debian/java-common.postinst
===================================================================
--- trunk/java-common/debian/java-common.postinst
(rev 0)
+++ trunk/java-common/debian/java-common.postinst 2012-02-26 14:35:43 UTC
(rev 15803)
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+configure)
+ [ -d /etc/.java ] || mkdir -m 755 /etc/.java
+ [ -d /etc/.java/.systemPrefs ] || mkdir -m 755 /etc/.java/.systemPrefs
+ if [ ! -f /etc/.java/.systemPrefs/.system.lock ]; then
+ touch /etc/.java/.systemPrefs/.system.lock
+ chmod 644 /etc/.java/.systemPrefs/.system.lock
+ fi
+ if [ ! -f /etc/.java/.systemPrefs/.systemRootModFile ]; then
+ touch /etc/.java/.systemPrefs/.systemRootModFile
+ chmod 644 /etc/.java/.systemPrefs/.systemRootModFile
+ fi
+esac
+
+#DEBHELPER#
+
+exit 0
Added: trunk/java-common/debian/java-common.postrm
===================================================================
--- trunk/java-common/debian/java-common.postrm (rev 0)
+++ trunk/java-common/debian/java-common.postrm 2012-02-26 14:35:43 UTC (rev
15803)
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+
+case "$1" in
+purge)
+ rm -rf /etc/.java
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
_______________________________________________
pkg-java-commits mailing list
[email protected]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-commits